低危 ImageMagick拒绝服务漏洞(CNVD-2012-1784)

CVE编号

CVE-2012-0260

利用情况

暂无

补丁情况

官方补丁

披露时间

2012-06-06
漏洞描述
ImageMagick是一个图象处理软件。当JPEG restart markers时"JPEGWarningHandler()"函数(coders/jpeg.c)存在非法校验错误,可被利用构建恶意JPEG图像,消耗大量资源,使应用程序崩溃。
解决建议
ImageMagick 6.7.6-4已经修复此漏洞,建议用户下载使用:http://www.imagemagick.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick * Up to
(excluding)
6.7.6-3
运行在以下环境
应用 redhat storage 2.0 -
运行在以下环境
系统 amazon_AMI imagemagick * Up to
(excluding)
6.5.4.7-6.12.amzn1
运行在以下环境
系统 centos_5 imagemagick * Up to
(excluding)
6.2.8.0-15.el5_8
运行在以下环境
系统 centos_6 imagemagick * Up to
(excluding)
6.5.4.7-6.el6_2
运行在以下环境
系统 debian_6 imagemagick * Up to
(excluding)
8:6.6.0.4-3+squeeze3
运行在以下环境
系统 oracle_5 imagemagick * Up to
(excluding)
6.2.8.0-15.el5_8
运行在以下环境
系统 oracle_6 imagemagick * Up to
(excluding)
6.5.4.7-6.el6_2
运行在以下环境
系统 redhat_5 ImageMagick * Up to
(excluding)
0:6.2.8.0-15.el5_8
运行在以下环境
系统 redhat_6 ImageMagick * Up to
(excluding)
0:6.5.4.7-6.el6_2
运行在以下环境
系统 suse_11 libMagickCore1 * Up to
(excluding)
6.4.3.6-7.26
运行在以下环境
系统 ubuntu_12.04.5_lts imagemagick * Up to
(excluding)
8:6.6.9.7-5ubuntu3.3
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-400 未加控制的资源消耗(资源穷尽)
阿里云安全产品覆盖情况